Name:           spacenavd
Version:        1.2
Release:    1%{?dist}
Summary:        A free, compatible alternative for 3Dconnexion's input drivers

License:        GPLv3+
URL:            http://spacenav.sourceforge.net/
Source0:        https://github.com/FreeSpacenav/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        spacenavd.service

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libX11-devel

BuildRequires:  systemd
%{?systemd_requires}


%description
Spacenavd, is a free software replacement user-space driver (daemon), for
3Dconnexion's space-something 6dof input devices. It's compatible with the
original 3dxsrv proprietary daemon provided by 3Dconnexion, and works
perfectly with any program that was written for the 3Dconnexion driver.


%prep
%autosetup


%build
%configure
sed -i "s/CFLAGS =/CFLAGS +=/g" Makefile

%make_build


%install
%make_install

mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}


%post
%systemd_post spacenavd.service

%preun
%systemd_preun spacenavd.service

%postun
%systemd_postun_with_restart spacenavd.service


%files
%doc AUTHORS doc/* README.md
%license COPYING
%{_bindir}/*
%{_unitdir}/%{name}.service


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
